Start TaskAgent Eval Run

Create a TaskAgent eval run and enqueue background execution. Callers are responsible for understanding candidate run side effects, external tool or integration mutations, and quota usage before starting an eval.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
task_agent_idstringRequiredformat: "uuid"
The task agent ID

Request

This endpoint expects an object.
candidate_revision_idstring or nullOptionalformat: "uuid"
eval_set_idstring or nullOptionalformat: "uuid"
task_agent_run_idslist of strings or nullOptional
last_ninteger or nullOptional1-20
judge_model_idstring or nullOptionalformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
task_agent_idstringformat: "uuid"
project_idstringformat: "uuid"
candidate_revision_idstringformat: "uuid"
statusenum
Status of a TaskAgent eval run.
pass_countinteger
fail_countinteger
error_countinteger
createdstring
modifiedstring
task_agent_run_idslist of stringsRead-only
pass_ratedouble or nullRead-only
eval_set_idstring or nullformat: "uuid"
started_atstring or null
completed_atstring or null
last_activity_atstring or null
error_messagestring or null
created_by_user_idstring or nullformat: "uuid"

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
503
Service Unavailable Error